org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead1Retry1SyncClassBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead1Retry1SyncClassBean

    @Retry(maxRetries=1,
           delay=1000L,
           jitter=0L,
           retryOn=TestException.class)
     @Bulkhead(value=1)
     @ApplicationScoped
    public class Bulkhead1Retry1SyncClassBean
    extends Object

Test to ensure that the bulkhead slot is released when retrying.

Has a bulkhead of size 1

Retries 1 time on thrown TestException with 1 second delay

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead1Retry1SyncClassBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(Barrier barrier, RuntimeException ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead1Retry1SyncClassBean

    public Bulkhead1Retry1SyncClassBean()

### Method Detail

#### test

    public void test(Barrier barrier,
                     RuntimeException ex)